/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.entityexception;


/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.3.2.5 $
 */
public interface ExceptionTest
{
   Person createEntry(Person person);
   Person removeEntry(Person person);
   void testTransactionRequiredException();
   boolean testEMFindExceptions();
   void testEMPersistExceptions();
   void testEMMergeExceptions();
   void testEMCreateQueryExceptions();
   void testEMRefreshExceptions();
   void testEMContainsExceptions();
   void testQuerySingleResultExceptions();
   void testQuerySetHintAndParameter();
}
